<?php
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "summaryid")
    $pa_id = $paramValue;
}

$dal = new DAL();
       
$sql = "SELECT LO.id, LO.name AS 'Lot', " .
       "(CASE WHEN LT.id IS NULL THEN 'None' ELSE LT.descr END) AS Type, " .
       "(CASE WHEN LI.id IS NULL THEN 'None' ELSE LI.descr END) " .
       "AS Interpretation " .
       "FROM projectworkday PW, projectworkdayoperation PWO, " .
       "operationspatialunit OS, spatialunitlot SL, lot LO " . 
       "LEFT JOIN lotinterpret LI ON LI.id = LO.lotinterpret_id " .
       "LEFT JOIN lottype LT ON LT.id = LO.lottype_id " .
       "WHERE PW.parcel_id = $pa_id AND PWO.projectworkday_id = PW.id " .
       "AND OS.operation_id = PWO.operation_id " .
       "AND SL.operationspatialunit_id = OS.id AND LO.id = SL.lot_id " . 
       "ORDER BY LO.name_seq " ;
$result = $dal->query($sql);

echo json_encode($result);

?>

