<?php
session_start();
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

$login_id = $_SESSION['login'];

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "fkid")
    $pr_id = $paramValue;
  if ($paramName == "id")
    $pw_id = $paramValue;
  else if ($paramName == "parcel_id")
    $parcel_id = $paramValue;
  elseif ($paramName == "date")
    $date = $paramValue;
  elseif ($paramName == "start_time") 
    $start_time = $paramValue;  
  elseif ($paramName == "end_time") 
    $end_time = $paramValue;  
}

$result = [0, ""];  

if ($start_time >= $end_time)
  $result= [1, "Start > End"];

else {  

  $dal = new DAL();
  // Get ids to store in Session
  $sql = "SELECT PW.id, FW.start_time, FW.end_time, WO.textdate " . 
         "FROM projectworkday PW, fieldworkday FW, workday WO " .
         "WHERE PW.id <> $pw_id AND FW.projectworkday_id = PW.id " .
         "AND PW.login_id = $login_id AND PW.parcel_id = $parcel_id " .
         "AND PW.workday_id = WO.id AND WO.date = '$date' " ;
  $projectworkdays = $dal->query($sql);

  if (count($projectworkdays) > 0) {

    $overlap = true;
    $interval_start = '00:00';
      
    foreach ($projectworkdays as $pw) {
      $interval_end = $pw->start_time;

      if ($start_time >= $interval_start && $start_time <= $interval_end && $end_time >= $interval_start && $end_time <= $interval_end)
        $overlap = false;
 
      $interval_start = $pw->end_time;
    }

    if ($start_time >= $interval_start && $end_time >= $interval_start)
      $overlap = false;

    if ($overlap)
      $result = [1, "Overlap with $pw->textdate: $pw->start_time-$pw->end_time"];

  }    
}

echo json_encode($result);

?>

