<?php 

class modSiteDefinitionView {
  
  public function __construct(modSiteDefinition $siteDefinition) {
    if (isset($siteDefinition)) {

      $lo_id = (isset($_SESSION['login'])) ? $_SESSION['login'] : 0;
      $this->os_id = (isset($_SESSION['operationspatialunit'])) ?
                       $_SESSION['operationspatialunit'] : 0;

      $menu = new MainMenu('sitedefinition', $lo_id);
      $this->beforeMenu = $menu->before();
      $this->afterMenu  = $menu->after();

      $controlsControls = new EntryInit('sitedefinition');
      $entryInit = $controlsControls->get("entryInit");
      foreach ($entryInit as $control) {
//print_r ($control);
//print_r ("<br>");        
        eval ($control);
      }
    }  
  }
  
  public function output() {

  $layout = "

  $this->beforeMenu 

<div id='divsitedefinition' style='border:1px solid black;border-bottom:none;'>

  <div class='container'>	
    <div class='row'>
      <div class='col-md-12'>
        <table class='table table-condensed'>
          <tbody>
            <tr>
              <td colspan='4' style='width:40%;'>
    $this->selSiteNameLayout
              </td>
              <td colspan='6' style='width:60%;'>
              </td>
            </tr>
            <tr>          
              <td colspan='4' style='width:40%;'>
    $this->selPropertyPartLayout
              </td>
              <td colspan='3' style='width:30%;'> 
    $this->inpSiteDescrLayout
              </td>
              <td colspan='3' style='width:30%;'>          
    $this->selSiteInterpretLayout
              </td>
            </tr>
            <tr>
              <td colspan='4' style='width:40%;'>          
    $this->inpSiteLocationLayout
              </td>
              <td colspan='3' style='width:30%;'>          
    $this->selPlanShapeLayout
              </td>
              <td colspan='3' rowspan='3' style='width:30%;'>          
    $this->inpSiteRationaleLayout
              </td>
            </tr>
            <tr>
              <td colspan='2' style='width:20%;'>          
    $this->selTopographyLayout
              </td>
              <td colspan='2' style='width:20%;'>
    $this->inpSiteMapidLayout
              </td>
              <td colspan='1' style='width:10%;'>          
    $this->inpLongAxisLayout
              </td>
              <td colspan='1' style='width:10%;'>          
    $this->inpShortAxisLayout
              </td>
              <td colspan='1' style='width:10%;'>          
    $this->selOrientationLayout
              </td>
            </tr>
            <tr>
              <td colspan='1' style='width:10%;'>          
    $this->selStg2RecommendLayout
              </td>
              <td colspan='3' style='width:30%;'>          
    $this->selRecRationaleLayout
              </td>
              <td colspan='1' style='width:10%;'>          
    $this->selBordenizableLayout
              </td>
              <td colspan='3' style='width:30%;'>          
    $this->selBordenRationaleLayout
              </td>
              <td colspan='2' style='width:20%;'>          
              </td>
            </tr>
            <tr>
              <td colspan='8' style='width:80%;'>
    $this->inpSiteNoteLayout
              </td>
              <td colspan='2' style='width:20%;'>
    $this->frmSiteDefinitionLayout
              </td>
            </tr>
            <tr>
              <td colspan='10'>
                <div id='valmsgfrmSiteDefinition' style='color:red'></div>
              </td>
            </tr>
            <tr>          
              <td colspan='10'>
    $this->togShovelPTPLayout
    $this->togPedestrianLayout
              </td>
            </tr>  
          </tbody>
        </table>
        <div class='panel1 slidetogPedestrian'>	
          <table class='table table-condensed'>
            <tr>
              <td colspan='2' style='width:20%;'>
                <label>Pedestrian Survey</label>
              </td>
              <td colspan='3' style='width:30%;'>
              </td>
              <td colspan='3' style='width:30%;'>
              </td>
              <td colspan='2' style='width:20%;'>
                <label>Points (no surveyor support)</label>
              </td>
            </tr>  
            <tr>
              <td colspan='2' style='width:20%;'>
    $this->selOperationLotLayout
              </td>
              <td colspan='3' style='width:30%'>
    $this->selIntensifTypeLayout
              </td>
              <td colspan='3' style='width:30%'>
    $this->inpIntModificationLayout
              </td>
              <td colspan='2' rowspan='2' style='width:20%'>
    $this->addPedestrianPointsLayout
              </td>
            </tr>
            <tr>
              <td colspan='2'  rowspan='2' style='width:20%;'>
    $this->selArtifactDensityLayout
              </td>
              <td colspan='3' rowspan='2' style='width:30%'>
    $this->inpIntensifDescrLayout
              </td>
              <td colspan='3' rowspan='2' style='width:30%'>
    $this->inpIntRationaleLayout
              </td>
            </tr>
            <tr>
              <td colspan='2' style='width:20%'>
    $this->frmPedestrianSurveyLayout
              </td>
            </tr>
            <tr>
              <td colspan='10'>
                <div id='valmsgfrmPedestrianSurvey' style='color:red'></div>
              </td>
            </tr>
          </table>
        </div>
      
       <div class='panel1 slidetogShovelPTP'>	
          <table>
            <tr>
              <td colspan='3'>
                 <label>Shovel Testing</label>
              </td>
            </tr>  
            <tr>
              <td style='width:25%'>
    $this->inpPTPNameLayout
              </td>
              <td style='width:25%'>
    $this->inpPTPLocationLayout
              </td>
              <td style='width:25%' >
              </td>
              <td style='width:25%' >
    $this->frmShovelPTPLayout
              </td>
            </tr>
            <tr>
              <td colspan='4'>
                <div id='valmsgfrmShovelPTP' style='color:red'></div>
              </td>
            </tr>
            <tr>
              <td colspan='4'>
    $this->togPTPLotLayout
              </td>
            </tr>
          </table>
        </div>
      
        <!-- LOT FORM -->
        <div class='panel12 slidetogPTPLot'>
          <table class='table table-condensed'>
            <tr>
              <td colspan='2' style='width:40%'>
    $this->selPTPLotNameLayout
              </td>
              <td style='width:20%'>
    $this->inpLotDepthLayout
              </td>
              <td rowspan='3' style='width:25%'>
    $this->mulRelatedLotsLayout
              </td>
              <td style='width:20%'>
              </td>
            </tr>
            <tr>
              <td style='width:20%'>
    $this->inpElevationPosLayout
              </td>
              <td colspan='2' style='width:40%'>
    $this->selElevationMarkLayout
              </td>
              <td style='width:20%'>
    $this->frmPTPLotLayout
              </td>
            </tr>
            <tr>
              <td colspan='7'>
              <div id='valmsgfrmPTPLot' style='color:red'></div>
              </td>
            </tr>
            <tr>
              <td>
    $this->togPTPBagLayout
              </td>
            </tr>
          </table>
        </div>
      
     <!-- BAG FORM -->
       <div class='panel1234 slidetogPTPBag'>	
          <table>
            <tr>
              <td style='width:25%'>
    $this->inpBagRefnoLayout
              </td>
              <td style='width:25%'>
    $this->inpBagTitleLayout
              </td>
              <td style='width:25%'>
              </td>
              <td style='width:25%' >
    $this->frmPTPBagLayout
              </td>
            </tr>
            <tr>
              <td colspan='4'>
              <div id='valmsgfrmPTPBag' style='color:red'></div>
              </td>
            </tr>
            <tr>
              <td colspan='3'>
              </td>
              <td colspan='1'>
    $this->togPTPArtifactsLayout
              </td>
            </tr>
          </table>
        </div>

        <!-- ARTIFACT FORM -->
        <div class='panel12345 slidetopPTPArtifact'>
          <table class='table table-condensed'>
            <tr>
              <td colspan='2' style='width:20%'>
    $this->selArtAffiliationLayout
              </td>
              <td colspan='2' style='width:20%'>
    $this->selArtMaterialLayout
              </td>
              <td colspan='2' style='width:20%'>
    $this->selArtFormLayout
              </td>
              <td colspan='2' style='width:20%'>
    $this->selArtCompleteLayout
              </td>
              <td style='width:10%'>
    $this->chkArtDiagnosticLayout
              </td>
              <td style='width:10%'>
              </td>
            </tr>
            <tr>          
              <td colspan='2' style='width:20%'>
    $this->inpCollectedCountLayout
              </td>
              <td colspan='2' style='width:20%'>
    $this->inpDocumentedCountLayout        
              </td>
              <td colspan='2'  style='width:20%'>
    $this->selSampleRationaleLayout
              </td>
              <td colspan='3' style='width:30%'>
    $this->inpAddObservationsLayout
              </td>
              <td style='width:10%'>
    $this->frmPTPArtifactsLayout
              </td>
            </tr>
          </table>
        </div>

        <!-- ARTIFACT SUMMARY -->
        <div class='panel12345 slidetogPTPArtifacts'>	
    $this->sumPTPArtifactsLayout  
        </div>

        <!-- BAG SUMMARY -->
        <div class='panel1234 slidetogPTPBags'>	
    $this->sumPTPBagsLayout  
        </div>
        <!-- LOT SUMMARY -->
        <div class='panel123 slidetogPTPAddLot'>	
      $this->sumPTPLotsLayout  
        </div>
      
      $this->togPositiveTestPitsLayout
        <div class='panel123 togPositiveTestPits'>	
    $this->imgintensificationsLayout  
        </div>
      
    <!-- PTP SUMMARY -->
        <div class='panel1 slidetogShovelPTP'>	
    $this->sumShovelPTPsLayout  
        </div>

      $this->togIntensificationLayout
        <div class='panel123 slide-intensif'>		  
    $this->imgIntensificationLayout
        </div>
    $this->sumSiteDefinitionsLayout
    $this->delSiteDefintionLayout
      </div>
    </div>
  </div>
</div>

$this->afterMenu 

<script>

//if ($this->os_id == 0) {
//  document.getElementById('divsitedefinition').style.display='none';
//  document.getElementById('hdrmsgsitedefinition').innerHTML=
//    'Pre-select a Location property part';
//}

$this->frmSiteDefinitionScript
$this->frmPedestrianSurveyScript
$this->frmShovelPTPScript
$this->frmPTPLotScript
$this->frmPTPBagScript
$this->frmPTPArtifactScript

$this->selSiteNameScript
$this->selPropertyPartScript
$this->inpSiteDescrScript
$this->selSiteInterpretScript
$this->inpSiteLocationScript
$this->selPlanShapeScript
$this->inpSiteRationaleScript
$this->selTopographyScript
$this->inpSiteMapidScript
$this->inpLongAxisScript
$this->inpShortAxisScript
$this->selOrientationScript
$this->selStg2RecommendScript
$this->selRecRationaleScript
$this->selBordenizableScript
$this->selBordenRationaleScript
$this->inpSiteNoteScript

$this->togShovelPTPScript
$this->togPedestrianScript
$this->selOperationLotScript
$this->selIntensifTypeScript
$this->inpIntModificationScript
$this->addPedestrianPointsScript
$this->selArtifactDensityScript
$this->inpIntensifDescrScript
$this->inpIntRationaleScript

$this->inpPTPNameScript
$this->inpPTPLocationScript
$this->togPTPLotScript

$this->selPTPLotNameScript
$this->inpLotDepthScript
$this->mulRelatedLotsScript
$this->inpElevationPosScript
$this->selElevationMarkScript
$this->togPTPBagScript
$this->inpBagRefnoScript
$this->inpBagTitleScript
$this->togPTPArtifactsScript

$this->selArtAffiliationScript
$this->selArtMaterialScript
$this->selArtFormScript
$this->selArtCompleteScript
$this->chkArtDiagnosticScript
$this->inpCollectedCountScript
$this->inpDocumentedCountScript        
$this->selSampleRationaleScript
$this->inpAddObservationsScript

$this->sumPTPArtifactsScript  
$this->sumPTPBagsScript  
$this->sumPTPLotsScript  
$this->togPositiveTestPitsScript
$this->imgintensificationsScript  
$this->sumShovelPTPsScript  
$this->togIntensificationScript
$this->imgIntensificationScript
$this->sumSiteDefinitionsScript
$this->delSiteDefintionScript

</script>
    ";
	
    return $layout;
 
  }
}

?>