<?php 

class clickCheckbox  {
  private $scope;
  private $iterator;
  private $label;
  private $formDefs;
  private $formAlts;
  
  
  public function __construct($entry) {

    if (isset($entry)) {
      $this->scope    = $entry->scope;
      $this->iterator = $entry->iterator;
      $this->label    = $entry->label;
    }
  
    if (null !== $entry->formAlts)
      $this->formAlts = json_encode($entry->formAlts);
    else
      $this->formAlts = '{}';

    if (null !== $entry->formDefs)
      $this->formDefs = json_encode($entry->formDefs);
    else
      $this->formDefs = '{}';
      
    if (isset($entry->clickAction)) {
      if ($entry->clickAction == "switch")
        $this->clickSwitch = 1;
    }
    else
      $this->clickSwitch = 0;

 }

  public function outputLayout() {

    $layout = "

<label style='vertical-align:middle;padding-top:4px'>$this->label</label>
<input type='checkbox' id='box$this->scope' style='vertical-align:middle;'>

    ";
  
 	return $layout;
  }	

  public function outputScript() {

    $script = "
 

$(document).on('click', '#box$this->scope', function (e) {
//alert ($(this).prop('checked'));
  if ($(this).prop('checked'))
    send$this->scope (1, 'Yes');
  else
    send$this->scope (0, 'No');
});

function set$this->scope (value, text, source) {
  if (value == 1)
    $('#box$this->scope').prop('checked', true);
  else
    $('#box$this->scope').prop('checked', false);
}

multiFunction['set$this->scope'] = {
  set$this->scope:set$this->scope
};  

function send$this->scope (value, text) {
//alert ('send');
  var msgContent = [];
  msgContent.$this->scope = [value, text, 'sequent_frm', '$this->scope', 'new field value'];
  newValue$this->iterator (msgContent);
}
    "; 
    
    return $script;
  }
}

?>