<?php
 
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

class modControlInstance  {
  private $instance_sum;
  private $instance_def;
  private $entry_def;
  private $control_opt;
  
  public function __construct() {
      
    $dal = new DAL();

    $sql = "SELECT CI.instance AS field, " .
           "COL.value AS dbcolumn, LAB.value AS label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "CF.mandatory, CF.uniquekey, CF.confirm, CF.action, " .
           "CF.sequent, CF.sequent_frm, CF.sequent_upd, CF.sequent_ent, CF.sequent_chk " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id " .
           "AND LAB.property IN ('label', 'noLabel') " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'frmControlInstance') ";
    $this->ciform_data = $dal->query($sql);  
   
    $sql = "SELECT CI.instance AS field, " .
           "COL.value AS dbcolumn, LAB.value AS label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "CF.mandatory, CF.uniquekey, CF.confirm, CF.action, " .
           "CF.sequent, CF.sequent_frm, CF.sequent_upd, CF.sequent_ent, CF.sequent_chk " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id " .
           "AND LAB.property IN ('label', 'noLabel') " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'frmControlEntry') ";
    $this->ceform_data = $dal->query($sql); 
    
//foreach  ($this->ceform_data as $data) {
//    print_r ($data->field);
//}
//$cnt=count($this->ceform_data);
//print ("cnt=$cnt");
//
    $sql = "SELECT CI.id, SPACE(0) AS 'select', instance, location, CO.control  " .
           "FROM controlinstance CI, controlobject CO " .
           "WHERE CI.controlobject_id = CO.id " .
           "ORDER BY CO.control, CI.location ";
    $this->instance_sum = $dal->query($sql);
    
    $default = array ("id"=>0,        "sumid"=>1,
               "instance"=>"",        "instance_text"=>"",
               "location"=>"",        "location_text"=>"", 
               "controlobject_id"=>0, "controlobject_id_text"=>"");
    $this->instance_defs = $this->toObject ($default);

    $default = array ("id"=>0, "sumid"=>0,
               "property"=>"", "property_text"=>"",
               "value"=>"",    "value_text"=>"");
    $this->entry_defs = $this->toObject ($default);
    
    $sql = "SELECT id, control AS text FROM controlobject ORDER BY control ";
    $this->control_opt = $dal->query($sql);
  }
  
  private function toObject($array) {
    $object = new stdClass();
    foreach ($array as $key => $value) {
      if (is_array($value)) {
        $value = $this->toObject($value);
      }
      $object->$key = $value;
    }
    return $object;
  }

  public function get($prop) {
    return $this->$prop;
  }
  
}

?>